Subject: [Anima] cross-group bootstrap coordination - Re: Conclusion: adopt draft-pritikin-anima-bootstrapping-keyinfra as ANIMA WG document

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Aug 2015 14:01:59 -0700

Hannes,

answering to your second point:

IMHO, the croos-group coordination of bootstrap activies is not
specifically a problem correlating to the design team. Its just that
for bootstrap coordination, and discussions we had obviously happened
in the bootstrap design team. I hope my prior email explain how that should
not have stood in the way of you participating.

I had sent out even to the whole anima maling list a note about me having
started to try summarizing what we think to know about cross-group
secure bootstrap work. I just tried to update it too:

  http://etherpad.tools.ietf.org:9000/p/bootstrapping-across-wgs

  This is linked from the ANIMA WiKi bootstrap design team page too.

To restate what i put into the first section there: The main issue is
that we have limited cycles, and have these ADs in our back reminding us to
do our charter item work (which ultimately is a good thing ;-). Cross-group
coordination is not something we've manaed to embody as an ANIMA (or any
other WG charter item). So at this point in time we can basically
do two things:

a) See if other WGs have bootstrap requirments that fall directly into the
   ANIMA scope and then work on those requirements.

b) Figure out for example via outside chartered WG activities how else we can do
   more cross-group coordination.

In IETF93 we primarily did a lot of work a), b) with NETCONF and still have
some good amount (IMHO) of followup to do to from that.  In the past we did
do some analysis with Homenet participants, but on the bootstrap and security
side there was AFAIK no overlap. And of course there is a lot of IoT WG
activities and i am happy for any help of how we can better wrap our head around
making progress there!

Cheers
    Toerless

On Wed, Aug 12, 2015 at 01:10:16PM +0200, Hannes Tschofenig wrote:
> I would like to raise a concern at this point in time.
> 
> I personally believe that the use of design teams in the IETF has become
> a new way of excluding people (not only in ANIMA but also in other groups).
> 
> Design teams run for a (very) long period of time (often without a clear
> mandate), are put together by the chairs (who decide about the
> participants and also who they do not want on the design team) and the
> entire decision making process is less clear in the end.
> 
> The situation becomes worse when there is actually work going on
> elsewhere in the IETF with a very similar scope.
> 
> I am raising this now because Max approached me at the last IETF meeting
> and was a big advocate of inclusiveness and the need to harmonize
> activities in the area of bootstrapping (which I call key distribution)
> in the IETF. Today, this does not work since even participating in many
> of the design teams is not possible.
> 
> Ciao
> Hannes
> 
> 
> On 08/12/2015 11:28 AM, Sheng Jiang wrote:
> > The chairs conclude there is a consensus in the ANIMA working to have this draft become a working group draft - no one had any objections to adopting the document and it targets one of our chartered work items. The authors should submit the next version as an ANIMA working group document (draft-ietf-anima-*-00).
> > 
> > This authors and the ANIMA bootstrap design team should keep working on this document as editor towards its maturity. The authors and the ANIMA bootstrap design team should report any major modifications to the WG, either mail list or face-to-face meeting, and acquire consensus in ANIMA WG.
> > 
> > Thanks,
> > 
> > Sheng & Toerless
> >> -----Original Message-----
> >> From: Anima [mailto:[email-masked]] On Behalf Of Sheng Jiang
> >> Sent: Thursday, July 30, 2015 10:44 AM
> >> To: anima
> >> Cc: Toerless Eckert; [email-masked]
> >> Subject: [Anima] Confirmation of consensus to adopt
> >> draft-pritikin-anima-bootstrapping-keyinfra as ANIMA WG document, ends
> >> Aug 12, 2015
> >>
> >> There was clear consensus for adopting
> >> draft-pritikin-anima-bootstrapping-keyinfra as
> >> a ANIMA working group document in the IETF 93 ANIMA WG meeting. This
> >> message
> >> starts a two-week call on confirming the consensus from the WG meeting.
> >>
> >>  Title:      Bootstrapping Key Infrastructures
> >>  Authors :   Pritikin, et al.
> >>  Filename:  draft-pritikin-anima-bootstrapping-keyinfra
> >>
> >>  https://tools.ietf.org/html/draft-pritikin-anima-bootstrapping-keyinfra-02
> >>
> >> Please express your support or rejection. If you think this document should
> >> _not_ be
> >> adopted, please also explicitly indicate the reasons.
> >>
> >> This adoption call will end on Aug 12, 2015.
> >>
> >> Regards,
> >>
> >> Sheng + Toerless
> >> _______________________________________________
> >> Anima mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/anima
> > _______________________________________________
> > Anima mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/anima
> > 
> 

-- 
---
Toerless Eckert, [email-masked]